<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ca">
<head>
<!-- Generated by javadoc (13) on Thu Feb 20 12:29:51 CET 2020 -->
<title>calculadoraDeporte</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-02-20">
<meta name="description" content="declaration: package: Calculadora_deporte, class: calculadoraDeporte">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/calculadoraDeporte.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Calculadora_deporte</a></div>
<h1 title="Class calculadoraDeporte" class="title">Class calculadoraDeporte</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">Calculadora_deporte.calculadoraDeporte</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">calculadoraDeporte</span>
extends java.lang.Object</pre>
<div class="block">Clase STOP FAST FOOD

STOP FAST FOOD
Programa que calcula las calorias y los macronutrientes que tiene que ingerir una persona segun su objetivo.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alejandro Aranda</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">calculadoraDeporte</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#carb(int,double)">carb</a></span>&#8203;(int&nbsp;obj,
double&nbsp;cal)</code></th>
<td class="colLast">
<div class="block">Calcula la cantidad de carbohidratos de la persona</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fat(int,double)">fat</a></span>&#8203;(int&nbsp;obj,
double&nbsp;cal)</code></th>
<td class="colLast">
<div class="block">Calcula la cantidad de grasas de la persona</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#guanyar(double,int,int,int)">guanyar</a></span>&#8203;(double&nbsp;pes,
int&nbsp;obj,
int&nbsp;x,
int&nbsp;entreno)</code></th>
<td class="colLast">
<div class="block">Calcula las calorias de la persona si desea ganar peso</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="colLast">
<div class="block">Gestiona el progrma segun el objetivo de la persona</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mantindre(double,int,int,int)">mantindre</a></span>&#8203;(double&nbsp;pes,
int&nbsp;obj,
int&nbsp;x,
int&nbsp;entreno)</code></th>
<td class="colLast">
<div class="block">Calcula las calorias de la persona si desea mantener peso</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#menuact()">menuact</a></span>()</code></th>
<td class="colLast">
<div class="block">Pregunta el numero de entrenamientos de la persona</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#menuobj()">menuobj</a></span>()</code></th>
<td class="colLast">
<div class="block">Pregunta el objetivo de la persona</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#perdre(double,int,int,int)">perdre</a></span>&#8203;(double&nbsp;pes,
int&nbsp;obj,
int&nbsp;x,
int&nbsp;entreno)</code></th>
<td class="colLast">
<div class="block">Calcula las calorias de la persona si desea perder peso</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#pes(double)">pes</a></span>&#8203;(double&nbsp;kg)</code></th>
<td class="colLast">
<div class="block">Pregunta el peso de la persona en un rango definido</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#proteines(int,double)">proteines</a></span>&#8203;(int&nbsp;obj,
double&nbsp;cal)</code></th>
<td class="colLast">
<div class="block">Calcula la cantidad de proteinas de la persona</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">calculadoraDeporte</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">calculadoraDeporte</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="main(java.lang.String[])">main</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">main</span>&#8203;(<span class="arguments">java.lang.String[]&nbsp;args)</span></div>
<div class="block">Gestiona el progrma segun el objetivo de la persona</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="menuobj()">menuobj</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">menuobj</span>()</div>
<div class="block">Pregunta el objetivo de la persona</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>opobj objetivo de la persona</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="menuact()">menuact</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">menuact</span>()</div>
<div class="block">Pregunta el numero de entrenamientos de la persona</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>opact entrenamientos de la persona</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="pes(double)">pes</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">pes</span>&#8203;(<span class="arguments">double&nbsp;kg)</span></div>
<div class="block">Pregunta el peso de la persona en un rango definido</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>kg</code> - Peso de la persona</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pes Peso de la persona</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="guanyar(double,int,int,int)">guanyar</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">guanyar</span>&#8203;(<span class="arguments">double&nbsp;pes,
int&nbsp;obj,
int&nbsp;x,
int&nbsp;entreno)</span></div>
<div class="block">Calcula las calorias de la persona si desea ganar peso</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pes</code> - peso de la persona</dd>
<dd><code>obj</code> - objetivo de la persona</dd>
<dd><code>x</code> - variable del objetivo</dd>
<dd><code>entreno</code> - entrenos de la persona</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>kcal calorias de la persona</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mantindre(double,int,int,int)">mantindre</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">mantindre</span>&#8203;(<span class="arguments">double&nbsp;pes,
int&nbsp;obj,
int&nbsp;x,
int&nbsp;entreno)</span></div>
<div class="block">Calcula las calorias de la persona si desea mantener peso</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pes</code> - peso de la persona</dd>
<dd><code>obj</code> - objetivo de la persona</dd>
<dd><code>x</code> - variable del objetivo</dd>
<dd><code>entreno</code> - entrenos de la persona</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>kcal calorias de la persona</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="perdre(double,int,int,int)">perdre</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">perdre</span>&#8203;(<span class="arguments">double&nbsp;pes,
int&nbsp;obj,
int&nbsp;x,
int&nbsp;entreno)</span></div>
<div class="block">Calcula las calorias de la persona si desea perder peso</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pes</code> - peso de la persona</dd>
<dd><code>obj</code> - objetivo de la persona</dd>
<dd><code>x</code> - variable del objetivo</dd>
<dd><code>entreno</code> - entrenos de la persona</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>kcal calorias de la persona</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="proteines(int,double)">proteines</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">proteines</span>&#8203;(<span class="arguments">int&nbsp;obj,
double&nbsp;cal)</span></div>
<div class="block">Calcula la cantidad de proteinas de la persona</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - objetivo de la persona</dd>
<dd><code>cal</code> - calorias de la persona</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>pro proteinas de la persona</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="carb(int,double)">carb</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">carb</span>&#8203;(<span class="arguments">int&nbsp;obj,
double&nbsp;cal)</span></div>
<div class="block">Calcula la cantidad de carbohidratos de la persona</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - objetivo de la persona</dd>
<dd><code>cal</code> - calorias de la persona</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>carb proteinas de la persona</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="fat(int,double)">fat</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">fat</span>&#8203;(<span class="arguments">int&nbsp;obj,
double&nbsp;cal)</span></div>
<div class="block">Calcula la cantidad de grasas de la persona</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - objetivo de la persona</dd>
<dd><code>cal</code> - calorias de la persona</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>fat proteinas de la persona</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/calculadoraDeporte.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
